﻿using System;
using System.Collections.Generic;

namespace LibSearchBox
{
	public class DocumentMeta
	{
		public string Title { get; set; }
		public List<string> Tags { get; private set; }

		public DocumentMeta(string inTitle, IEnumerable<string> inTags)
		{
			Title = inTitle;
			Tags = new List<string>(inTags);
		}

		public void ReplaceTags(IEnumerable<string> newTags)
		{
			Tags.Clear();
			Tags.AddRange(newTags);
		}
	}
}
